MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001576Community[OCCT] OCCT:Visualizationpublic2003-01-29 12:262011-12-15 16:42
Reporteremo 
Assigned Tosav 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.1.0 
Summary0001576: Dynamic Highlight bug
DescriptionThis bug has been added by Fran├žois Lauzon at
http://www.opencascade.org/forumorg/bug.php?bug_id=108&f=8 [^] .

--------------------------

There is a bug in the dynamic highlighting with some models. In the model I
attached, when you move the mouse over the side surface (f2.iges), the side
surface should be highlighted, but instead it's the bottom surface (f1.iges)
that is highlight (see BadHighlight.jpg). The bottom surface will get highlight
until it is no longer visible under the mouse, then the side surface will get
highlighted (see highlight.jpg). What is strange is that it doesn't do that
will all the surface (see highlightok.jpg).

This is really annoying, since in some situation you can't select an object you
should be able to select. This problem occur with a lot of different files that
we have.

I have included the 3 jpg files and iges files.

--------------------------
TagsNo tags attached.
Test case number
Attached Files? file icon f1.igs (26,244 bytes) 2003-01-29 08:26
? file icon f2.igs (28,593 bytes) 2003-01-29 08:26
? file icon model.igs (654,156 bytes) 2003-01-29 08:27
jpeg file icon HighlightOk.jpeg (15,794 bytes) 2003-01-29 08:28
jpeg file icon highlight.jpeg (15,239 bytes) 2003-01-29 08:28
jpeg file icon BadHighlight.jpeg (15,650 bytes) 2003-01-29 08:29
tgz file icon OCC1576.tgz (5,878 bytes) 2003-03-14 11:28

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2003-02-28 14:03 bugmaster Assigned To bugmaster => sav
2003-02-28 14:03 bugmaster Status new => assigned
2003-03-14 15:28 sav Status assigned => resolved
2003-03-14 15:34 bugmaster CC => apv
2003-03-17 19:02 apv CC => aki
2003-03-28 19:11 aki Status resolved => tested
2003-04-15 17:35 bugmaster Status tested => closed
2003-04-15 17:35 bugmaster Resolution @0@ => fixed
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2011-12-15 16:42 abv Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker